Name: gqview
Version: 2.0.1
Release: alt1

Summary: graphics file browser utility
Summary(ru_RU.KOI8-R):     
License: GPL
Group: Graphics
Source: %name-%version.tar.gz
Source1: %name-48.xpm.bz2
Source2: %name-32.xpm.bz2
Source3: %name-16.xpm.bz2
Source4: %name-48.png.bz2
Source5: %name.desktop
Patch0: gqview-1.4.0-editors.patch
Patch1: gqview-1.5.8-zoom-defaults.patch
Patch2: gqview-2.0.1-ru.patch

Url: http://gqview.sourceforge.net
Requires: ImageMagick librsvg2

# Automatically added by buildreq on Wed Feb 09 2005
BuildRequires: fontconfig freetype2 glib2-devel hostinfo libatk-devel libgtk+2-devel libpango-devel pkgconfig xorg-x11-libs
BuildPreReq: menu-devel

%description
GQview is a browser for graphics files.
Offering single click viewing of your graphics files.
Includes thumbnail view, zoom and filtering features.
And external editor support.

%description -l ru_RU.KOI8-R
GQview -      .
        
   .

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
subst "s,share\/gqview,share\/doc\/gqview-%version/," configure.in
autoconf
%configure
%make_build

%install
%makeinstall GNOME_DATADIR=$RPM_BUILD_ROOT%_datadir

%find_lang %name

# icons
install -d $RPM_BUILD_ROOT%_liconsdir
install -d $RPM_BUILD_ROOT%_iconsdir
install -d $RPM_BUILD_ROOT%_miconsdir
bzcat %SOURCE1 >$RPM_BUILD_ROOT%_liconsdir/%name.xpm
bzcat %SOURCE2 >$RPM_BUILD_ROOT%_iconsdir/%name.xpm
bzcat %SOURCE3 >$RPM_BUILD_ROOT%_miconsdir/%name.xpm
bzcat %SOURCE4 >$RPM_BUILD_ROOT%_liconsdir/%name.png

mkdir -p $RPM_BUILD_ROOT%_menudir
install -m644 %SOURCE5 $RPM_BUILD_ROOT/%_datadir/applications/%name.desktop
freedesktop2menu.pl \
    %name \
        "Multimedia/Graphics" \
    %buildroot/%_datadir/applications/%name.desktop \
    %buildroot/%_menudir/%name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc README COPYING TODO
%_mandir/*/*
%_bindir/*
%_libdir/menu/*
%_datadir/applications/gqview.desktop
%_iconsdir/*.xpm
%_miconsdir/*.xpm
%_liconsdir/*.xpm
%_liconsdir/*.png

%changelog
* Thu Sep 08 2005 Anton Farygin <rider@altlinux.ru> 2.0.1-alt1
- 2.0.1
- updated russian translation by lav@
- Freedesktop.org menu added

* Thu Mar 03 2005 Anton Farygin <rider@altlinux.ru> 2.0.0-alt1
- 2.0.0

* Wed Feb 09 2005 Anton Farygin <rider@altlinux.ru> 1.5.8-alt1
- 1.5.8

* Fri Oct 29 2004 Anton Farygin <rider@altlinux.ru> 1.4.5-alt1
- 1.4.5

* Mon Sep 20 2004 Anton Farygin <rider@altlinux.ru> 1.4.4-alt1
- 1.4.4

* Tue Sep 07 2004 Anton Farygin <rider@altlinux.ru> 1.4.3-alt2
- changed default zoom properties (#5029)

* Tue May 11 2004 Anton Farygin <rider@altlinux.ru> 1.4.3-alt1
- 1.4.3

* Tue Apr 13 2004 Anton Farygin <rider@altlinux.ru> 1.4.2-alt1
- 1.4.2

* Tue Mar 02 2004 Anton Farygin <rider@altlinux.ru> 1.4.1-alt1
- 1.4.1

* Sat Feb 28 2004 Anton Farygin <rider@altlinux.ru> 1.4.0-alt1
- 1.4.0

* Mon Mar 10 2003 Rider <rider@altlinux.ru> 1.2.2-alt1
- 1.2.2

* Fri Jan 24 2003 Rider <rider@altlinux.ru> 1.2.1-alt1
- new version

* Fri Dec 13 2002 Rider <rider@altlinux.ru> 1.2.0-alt1
- 1.2.0

* Sat Oct 05 2002 Rider <rider@altlinux.ru> 1.1.6-alt1
- 1.1.6

* Wed Jan 30 2002 Rider <rider@altlinux.ru> 1.0.2-alt1
- 1.0.2

* Sat Jan 05 2002 Rider <rider@altlinux.ru> 1.0.1-alt2
- fix default HELP path
- removed XV from default config file
 
* Thu Jan 03 2002 Rider <rider@altlinux.ru> 1.0.1-alt1
- 1.0.1
- russian summary and description 

* Thu Dec 27 2001 Stanislav Ievlev <inger@altlinux.ru> 0.12.0-alt2
- spec cleanup.
- added Belarusian translation

* Sat Nov 13 2001 Rider <rider@altlinux.ru> 0.12.0-alt1
- 0.12.0

* Fri Oct 12 2001 AEN <aen@logic.ru> 0.11.0-alt2
- rebuilt with libpng.so.3

* Fri Jun 08 2001 Rider <rider@altlinux.ru> 0.11.0-alt1
- 0.11.0

* Sun Jan 14 2001 AEN <aen@logic.ru>
- RE adaptation

* Mon Sep 25 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.8.2-6mdk
- changed icon

* Tue Sep  5 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.8.2-5mdk
- icons
- further macroszification

* Thu Aug 24 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.8.2-4mdk
- macros
- added %lang

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.8.2-3mdk
- automatically added BuildRequires

* Thu Jun 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.8.2-2mdk
- change url, thanks Jan.

* Thu Jun 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.8.2-1mdk
- v0.8.2
- add locale
- fix install & files section

* Fri Apr 28 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.0-10mdk
- add icon (32*32 and 16*16)
- cleanup spec file

* Wed Apr 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.7.0-9mdk
- merge menu file with spec
- clean spec

* Thu Mar 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.7.0-8mdk
- fix rpmlint warnings

* Mon Mar 20 2000 Lenny Cartier <lenny@mandrakesoft.com>
- clean specfile
- add menu entry

* Wed Nov 10 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Updated URL
- Added icon
* Thu Jul 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.7.0.
* Tue May 11 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions
* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 3)
* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries
* Sat Mar 6 1999 Michael Fulbright <drmike@redhat.com>
- version 0.6.0
* Wed Oct 7 1998 John Ellis <gqview@geocities.com>
- updated for version 0.4.2
* Fri Sep 11 1998 John Ellis <gqview@geocities.com>
- updated for version 0.4.1
* Sat Aug 15 1998 John Ellis <gqview@geocities.com>
- updated for version 0.4.0
* Wed Aug 5 1998 Joel Young <jyoung@erols.com>
- enhanced rpm .spec file
